Resolution: No Customer Feedback FAQ Links:  

Description

Supportanfrage

Is there a command line Linux tool or method to make a request to a License Server for a License?

We need it for ADTF 2.x.

If no such tool is available, is there documentation of the format required by the License Server to process a request?

Lösung

No, there is in only a GUI solution, only in ADTF 3.x there is a CLI tool for that.

Please find an adapted tool attached, it works the same way as the CLI tool in ADTF 3.x but for requesting licenses for ADTF 2.x.

Please refer to the documentation there -> https://support.digitalwerk.net/adtf/v3/guides/tools_licenser_tool.html

History

#1 - 2021-06-04 06:53 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::License

#4 - 2021-06-07 09:47 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Ashish,

there is no command line tool to request a license for ADTF 2.x.

You have to start ADTF and request a server license with up-popping license dialog on the client.

Is this working for you ?

Note for future: In ADTF 3.x it is possible

#5 - 2021-06-07 10:12 - hidden

Hello,

We are exploring a Proof-of-Concept to utilize ADTF in the Cloud, a part of which is to have worker nodes running ADTF to connect to a license

server, perform the conversion tasks and be spun down.

As suggested by the Support team, we have set up the License Server as well as the client nodes. (https://support.digitalwerk.net/issues/13930)

If not for a command line tool, if there is documentation available about the format the License Server expects when a client makes a request, that

would also be helpful.

#6 - 2021-06-07 10:24 - hidden

Hi Ashish

We are exploring a Proof-of-Concept to utilize ADTF in the Cloud, a part of which is to have worker nodes running ADTF to connect to a license

server, perform the conversion tasks and be spun down.
 And what are the worker nodes about (during PoC and future), docker images, virtual machines, ... ?

Do they provide a MAC address ?

ADTF 2.x will face trouble in the cloud, do you have any plans about migrating to 3.x ?

ADTF 2.x has EOL 2021 by the way...

If not for a command line tool, if there is documentation available about the format the License Server expects when a client makes a request,

that would also be helpful.

 We cannot provide the request because the License Server is a very old implementation bei AEV.

But i can provide you a command line tool similar to the ADTF 3.x solution which cover your needs.

#7 - 2021-06-07 10:33 - hidden

And what are the worker nodes about (during PoC and future), docker images, virtual machines, ... ?

Do they provide a MAC address ?

 Yes. Each worker has it's own MAC Address, because as I understand ADTF would issue licenses which are MAC Address bound.

ADTF 2.x will face trouble in the cloud, do you have any plans about migrating to 3.x ?

ADTF 2.x has EOL 2021 by the way...

 Ah. Thank you. I was not aware of this. Does it mean that after EOL even licenses would not be issued, or is that with respect to the Support

channels?

But i can provide you a command line tool similar to the ADTF 3.x solution which cover your needs.

 This would be great, thanks!

#8 - 2021-06-08 08:53 - hidden

- Status changed from Customer Feedback Required to In Progress

#9 - 2021-06-10 06:14 - hidden

- Private changed from No to Yes

#11 - 2021-06-14 14:52 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Ashish,

Yes. Each worker has it's own MAC Address, because as I understand ADTF would issue licenses which are MAC Address bound.

 Exactly, I just asked to ensure.

Ah. Thank you. I was not aware of this. Does it mean that after EOL even licenses would not be issued, or is that with respect to the Support

channels?

 You would still be able to use ADTF 2.x without support and maintainance.

See https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Will-there-still-be-licenses-for-ADTF-2x-after-EOL-

But i can provide you a command line tool similar to the ADTF 3.x solution which cover your needs.

 This would be great, thanks!

 Please find the tool attached, it works the same way as the CLI tool in ADTF 3.x

Please refer to the documentation there -> https://support.digitalwerk.net/adtf/v3/guides/tools_licenser_tool.html

#12 - 2021-06-14 15:11 - hidden

- File licenser_tool added
#13 - 2021-06-18 07:03 - hidden

- Project changed from 9 to Public Support

- Subject changed from Automation of License requesting from License Server to CLI tool for ADTF 2.x license requests required

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#14 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed

Files

licenser_tool 9.9 MB 2021-06-14 hidden
